# Uses of Interface
org.springframework.transaction.ReactiveTransaction

Packages that use ReactiveTransaction
Package
Description
org.springframework.transaction
Spring's core transaction management APIs (independent of any specific transaction management system); an exception hierarchy for Spring's transaction infrastructure; and transaction manager, definition, and status interfaces.
org.springframework.transaction.reactive
Support classes for reactive transaction management.

## Uses of ReactiveTransaction in org.springframework.transaction

Methods in org.springframework.transaction that return types with arguments of type ReactiveTransaction
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ReactiveTransaction>`
ReactiveTransactionManager.`getReactiveTransaction(TransactionDefinition definition)`
Emit a currently active reactive transaction or create a new one, according to the specified propagation behavior.
Methods in org.springframework.transaction with parameters of type ReactiveTransaction
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
ReactiveTransactionManager.`commit(ReactiveTransaction transaction)`
Commit the given transaction, with regard to its status.
`reactor.core.publisher.Mono<Void>`
ReactiveTransactionManager.`rollback(ReactiveTransaction transaction)`
Perform a rollback of the given transaction.

## Uses of ReactiveTransaction in org.springframework.transaction.reactive

Classes in org.springframework.transaction.reactive that implement ReactiveTransaction
Modifier and Type
Class
Description
`class`
`GenericReactiveTransaction`
Default implementation of the `ReactiveTransaction` interface, used by `AbstractReactiveTransactionManager`.
Methods in org.springframework.transaction.reactive that return types with arguments of type ReactiveTransaction
Modifier and Type
Method
Description
`final reactor.core.publisher.Mono<ReactiveTransaction>`
AbstractReactiveTransactionManager.`getReactiveTransaction(TransactionDefinition definition)`
This implementation handles propagation behavior.
Methods in org.springframework.transaction.reactive with parameters of type ReactiveTransaction
Modifier and Type
Method
Description
`final reactor.core.publisher.Mono<Void>`
AbstractReactiveTransactionManager.`commit(ReactiveTransaction transaction)`
This implementation of commit handles participating in existing transactions and programmatic rollback requests.
`Publisher<T>`
TransactionCallback.`doInTransaction(ReactiveTransaction status)`
Gets called by `TransactionalOperator` within a transactional context.
`final reactor.core.publisher.Mono<Void>`
AbstractReactiveTransactionManager.`rollback(ReactiveTransaction transaction)`
This implementation of rollback handles participating in existing transactions.